
#=================================PIPELINE TRIGGER RULES=============================


workflow:
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: $CI_COMMIT_BRANCH == "master" || $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "master"
      changes:
        - application/**/*
    - if:  $CI_COMMIT_BRANCH == "staging"
      changes:
        - application/src/**/*
        - black-box-testing/**/*
    - if:  $CI_COMMIT_BRANCH == "production"
      changes:
        - application/src/**/*

variables:
  API_NAME: fullstackjs

stages:
  - build
  - white-box-testing
  - versioning
  - dockerizing
  - deploy
  - destroy
  - black-box-testing


#=================================INCLUDE FILES======================================


include:
  - local: 'ci-templates/.gitlab-ci-white-box.yml'
  - local: 'ci-templates/.gitlab-ci-staging.yml'
  - local: 'ci-templates/.gitlab-ci-production.yml'
  - local: 'ci-templates/.gitlab-ci-black-box.yml'


#=================================STAGES============================================

default:
  tags:
    - fast
